Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
23.06.2017, 05:32:30

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 18298
  • Letzte: Alfa12
Statistiken
  • Beiträge insgesamt: 464449
  • Themen insgesamt: 37502
  • Heute online: 282
  • Am meisten online: 679
  • (03.04.2017, 15:20:01)
Benutzer Online
Mitglieder: 5
Gäste: 209
Gesamt: 214

Autor Thema: [gelöst]  Problem mit Zugriffsrechten für Scid 4.6.4  (Gelesen 373 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] Problem mit Zugriffsrechten für Scid 4.6.4
« am: 19.04.2017, 16:19:55 »
Hallo zusammen,

ich habe gerade versucht, die aktuelle Version der Schachdatenbank Scid zu installieren: https://sourceforge.net/projects/scid/

Bei der Installation bekam ich den Hinweis, dass eine aktuellere Version aus den Quellen verfügbar sei. Das stimmt allerdings nicht, und die trotzdem gestartete Installation lief auch problemlos durch.

Beim Start - über die Konsole da kein Startmenü-Eintrag - bekomme ich das leere Fenster und die angehängte Fehlermeldung (couldn't read directory "/usr/local/share/scid/img/...") angezeigt. Auf der Konsole gibt es keine Fehlerausgabe.

Ich möchte ungern manuell in den Berechtigungen rumfuhrwerken, und weiß ja nicht einmal, ob nun Scid oder tcl den Zugriff benötigt. Weiß von Euch jemand Rat?

System:    Host: balu-Aspire-ES1-311 Kernel: 4.4.0-28-generic x86_64 (64 bit)
           Desktop: Cinnamon 2.8.8  Distro: Linux Mint 17.3 Rosa
« Letzte Änderung: 19.04.2017, 17:43:46 von saltpit »

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #1 am: 19.04.2017, 17:20:38 »
Ich konnte meine Finger natürlich nicht davon lassen und habe nun doch an den Rechten rumgepfuscht. Bisher erfolgreich. ;)

Falls andere Schachinteressierte vor dem gleichen Problem stehen: Scid braucht Zugriff auf die Verzeichnisse ab /usr/local/share/scid und /home/$user$/.scid4.6

Und noch ein - für viele vielleicht selbstverständlicher - Tipp: die veraltete Version von Scid wird in der Aktualisierungsverwaltung direkt als Update angeboten. Am besten gleich mittels Rechtsklick für die Zukunft ausschließen, damit es nicht doch mal mit durchrutscht.

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #2 am: 19.04.2017, 17:23:16 »
Hi :)
Zitat
mittels Rechtsklick für die Zukunft ausschließen, damit es nicht doch mal mit durchrutscht.

dann wäre es sinnvoller die alte version zu de-installieren ;)

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #3 am: 19.04.2017, 17:26:54 »
Entweder hast Du mein Problem oder ich Deine Lösung missverstanden: Die alte Version ist ja gar nicht installiert. Die Version aus den Paketquellen wird aber fälschlicherweise als neuere geführt und deshalb zum "Update" angeboten. 

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #4 am: 19.04.2017, 17:29:14 »
Hi :)
schau mal was synaptic zur 4.5.1 sagt.. 

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #5 am: 19.04.2017, 17:43:04 »
Verstehe ich leider nicht. Wo hast Du jetzt 4.5.1 her? Ich habe 4.6.4 manuell installiert und bekomme über die Mint-Quellen 4.3.irgendwas als"Update" angeboten.

Ah! Es war anscheinend doch ein - gleich korrigierter - Fehler, die Systeminfos nach Lösung im Eingangspost zu löschen. ;) Hast Du vielleicht eine aktuellere Mint-Version installiert und da 4.5.1 in den Quellen? Und wenn ja, kann ich die auch nutzen, ohne Mint neu zu installieren?

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #6 am: 19.04.2017, 17:46:26 »
Hi :)
ok 17.3 da ist dann noch eine ältere in den quellen..
du solltest nur schauen welchen status diese ältere in synaptic hat... thats all...

wenn die wirklich nicht installiert ist, dann habe ich für den update vorschlag keine idee...
vermute aber die ist auch noch installiert.

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #7 am: 19.04.2017, 18:00:10 »
Die alte Version hatte ich über Synaptic definitiv komplett entfernt, und dass da trotzdem noch irgendwas Störendes bleibt, kenne ich eigentlich nur von meinem Rechner auf Arbeit. :)

Aber das "Problem" ist ja durch Ausblenden in den Updates eigentlich auch gelöst. Danke Dir!

OT: Spielst Du auch Schach oder hattest Du nur zum Helfen nach Deiner Quellenversion geguckt?

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #8 am: 19.04.2017, 18:10:35 »
Hi :)
ich spiele auch gelegntlich schach.. allerdings nur im real live mit menschlichen gegner ;)

hatte nur in den quellen geguckt...
du solltest alles was von der alten version noch installiert ist, entfernen.
sonst gibt das irgendwann kuddelmuddel

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #9 am: 19.04.2017, 18:16:24 »
Hihi, ich sehe auch lieber die Angst in den Augen meines Gegners... ;)

Bei der Installation kam ja der Hinweis, dass eine aktuellere Version über die Quellen verfügbar sei, nicht, dass das Programm bereits installiert wäre. Das habe ich als weiteren Hinweis genommen, dass die alte Version korrekt deinstalliert ist. Was kann ich noch tun, um alles zu entfernen und das Kuddelmuddel zu vermeiden?

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #10 am: 19.04.2017, 18:18:46 »
Hi :)
vieleicht endlich mal eine antwort geben, ob teile der alten version noch installiert sind
synaptic status
und wenn ja, diese de-installieren

und die meldung kann eigentlich nur geheissen haben... ältere version in den quellen..

es sei denn du hast jetzt eine ältere installiert, als in den quellen vorhanden, was ohne triftigen grund natürlich quatsch ware ;)

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #11 am: 19.04.2017, 18:47:29 »
Sorry, mit "via Synaptic komplett entfernt" meinte ich eigentlich, dass es dort keine Rückstände mehr gibt. Bei meiner Nachfrage ging es mir deswegen nur noch um andere Reste, von denen ich noch nichts weiß.

synaptic status öffnet bei mir nur Synaptic (siehe Screenshot). Sollte da noch etwas anderes geschehen? Meinst Du den Status zu den Paketen ganz unten? Außer dem merkwürdigen Versionskonflikt sieht das für mich alles gut aus. Und dazu "passt" dann auch die Meldung.

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #12 am: 20.04.2017, 13:12:26 »
Hi :)
da ist eine 4.3.0 installiert...
gehe mal auf status (links 2 button von oben)
und schaue nochmal

gib mal bitte
dpkg -l scid

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #13 am: 20.04.2017, 20:11:06 »
Hi ehtron,

wenn ich in Synaptic auf Status gehe ändert sich nichts außer der Auswahl oben. "Nicht installiert (zurückgebliebene Konfiguration)" ist leer.  Wie kommst Du denn darauf, dass eine 4.3.0 installiert ist? In meinem Screenshot steht doch 4.6.4-1 in der Spalte der installierten Version. Sagt auch dpkg:

||/ Name           Version      Architektur  Beschreibung
+++-==============-============-============-=================================
ii  scid           4.6.4-1      amd64        scid

Re: Problem mit Zugriffsrechten für Scid 4.6.4
« Antwort #14 am: 21.04.2017, 12:18:00 »
Hi :)
ok da muss etwas wrong sein..
warum die 4.3.0 als neuer erkannt wird, erschliesst sich mir nicht...